Sidef::Types::Bool::Bool(3)

NAME
Sidef::Types::Bool::Bool

DESCRIPTION
This class implements ...

SYNOPSIS
var obj = Bool(...)

INHERITS
Inherits methods from:

       * Sidef::Object::Object

METHODS

  &
    a & b

Returns the

  ^
    a ^ b

Returns the

  |
    a | b

Returns the

  false
    Bool.false()

Returns the

  is_true
    Bool.is_true()

Returns the

  neg
    Bool.neg()

Returns the

Aliases: not, flip, toggle, is_false

  new
    Bool.new()

Returns the

Aliases: call

  pick
    Bool.pick()

Returns the

Aliases: rand

  to_b
    Bool.to_b()

Returns the

Aliases: to_bool

  to_s
    Bool.to_s()

Returns the

Aliases: dump, to_str

  true
    Bool.true()

Returns the